Update Manager not opening

Questions about applications and software
Forum rules
Before you post please read this

Update Manager not opening

Postby ArkadioG on Thu Jan 17, 2013 8:21 am

It is not problem with updating (thread provided by zerozero) but problem that main window of update manager doesn't show up.

I got same problem, here how it happens:
- i click on icon in tray, or click Update Manager in menu
- give my password
- pops up onlysmall window checking for updates
- that window closes
- all the time doesn't show main window of UM - the one showing list of available updates and its level

I have to try open UM like 3 or 5 times before main window shows up - and it happens whether there are updates or there aren't any.

If i manage to open main window of update manager, then all updates run fine.
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Linux Mint is funded by ads and donations.
 

Re: Update Manager not opening

Postby zerozero on Thu Jan 17, 2013 8:28 am

split from viewtopic.php?f=47&t=122741 as it seems a different problem

as far as i can understand you either can't open mintupdate or only after a few (random) attempts?

try to launch mintupdate from the terminal and check the errors it gives (if any) and post them here
the following commands should do (on or the other)
Code: Select all
mintupdate
Code: Select all
gksu mintupdate
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Manager not opening

Postby ArkadioG on Thu Jan 17, 2013 8:59 am

[edit] yes, mintupdate opens after few tries

mintuodate output:

Code: Select all
arkadiog@arkadiog-tosh ~ $ mintupdate
arkadiog@arkadiog-tosh ~ $ Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
mintUpdate.py: Fatal IO error 11 (Zasoby chwilowo niedostÄpne) on X server :0.

arkadiog@arkadiog-tosh ~ $

- it opened window that downloaded packages informations, downloaded 95 files, then closed

I had to install gksu first, its output:

Code: Select all
arkadiog@arkadiog-tosh ~ $ gksu mintupdate                                   
                                                                                       
(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(gksu:3485): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
arkadiog@arkadiog-tosh ~ $
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Re: Update Manager not opening

Postby zerozero on Thu Jan 17, 2013 9:02 am

ArkadioG wrote:I had to install gksu first

what edition and DE of mint are you using?
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Manager not opening

Postby ArkadioG on Thu Jan 17, 2013 9:23 am

Mint 14 KDE, i got system up to date - all updates installed
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Re: Update Manager not opening

Postby zerozero on Thu Jan 17, 2013 9:49 am

it looks like similar to this viewtopic.php?f=198&t=122227
can you check if the menu entry is just mintupdate and if changing it to
Code: Select all
sudo mintupdate
solves the issue
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Manager not opening

Postby ArkadioG on Thu Jan 17, 2013 11:55 am

Unfortunately it disn't help.

I changed settings so that
Code: Select all
sudo mintupdate
was fireing up, i even rebooted.
Icon in tray shows available updates, after i click it, give password and only window downloading packages shows up, then closes and.. still nothing.
When i click UM from menu - nothing happens. I changed it again back to
Code: Select all
mintupdate
.

Edit: changed to propper command
Last edited by ArkadioG on Thu Jan 17, 2013 4:49 pm, edited 1 time in total.
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Re: Update Manager not opening

Postby zerozero on Thu Jan 17, 2013 12:18 pm

edit: above you mixed mintinstall with mintupdate? just to clarify that?

what graphics card you have?
this might seem weird but from this
mintUpdate.py: Fatal IO error 11
the only real error i could see in the above output i went to
http://www.linuxmint-fr.org/forum/demarrage-et-connexion--veille--extinction/59556-bug-fermeture-session-intempestive.html?limit=20&start=20
the topic is in french but the general problem is similar to yours and the OP solved it changing from amd to nvidia card (anyway that user was using the open source drivers because his card was not compatible with prop drivers anymore).

what card/drivers are you using?
give us the output of
Code: Select all
inxi -Gx
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Manager not opening

Postby ArkadioG on Thu Jan 17, 2013 4:46 pm

Of course i ment mintupdate
my laptop is Toshiba L30-PSL33, FB 533MHz, Celeron 430 1,73, 1gb ram ddr2, embded Ati Radeon Xpress 200M. This is output:

Code: Select all
arkadiog@arkadiog-tosh ~ $ inxi -Gx
Graphics:  Card: Advanced Micro Devices [AMD] nee ATI RC410 [Radeon Xpress 200M] bus-ID: 01:05.0
           X.Org: 1.13.0 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1280x800@60.0hz
           GLX Renderer: Gallium 0.4 on ATI RC410 GLX Version: 2.1 Mesa 9.0 Direct Rendering: Yes
arkadiog@arkadiog-tosh ~ $


I got issue with graphic card when at first installed Mint to run IN Windows - i had to copy B43 drivers to root/lib/firmware,
but when I installed it alongside Win - all worked fine and needed no additional drivers.

By the way thx for help, maybe i should report this bug somewhere? Is there any ticketing system for that?
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Re: Update Manager not opening

Postby zerozero on Thu Jan 17, 2013 6:40 pm

rereading that topic (sorry :oops: my french is a lot rusty lately) and also this other http://www.linuxmind-italia.org/index.p ... c=14451.15 i'm not sure (even less than before) that the problem is graphics cards related.

in my system (and is a very messed system btw)
mintupdate is here
Code: Select all
zerozero@deb-kde ~/Documents $ whereis mintupdate
mintupdate: /usr/bin/mintupdate /usr/bin/X11/mintupdate

and both commands bellow launch it successfully
Code: Select all
zerozero@deb-kde ~/Documents $ /usr/bin/mintupdate
zerozero@deb-kde ~/Documents $ /usr/bin/X11/mintupdate


linux mint bug reports are https://launchpad.net/linuxmint
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Manager not opening

Postby ArkadioG on Sun Jan 20, 2013 6:00 pm

Just noticed that, when i open mintupdate from console, main window opens and packages start downloading this code outputs:

Code: Select all
arkadiog@arkadiog-tosh ~ $ Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
Mint 16 KDE
Asus VivoBook C300, i5 3317u, SSD Samsung 840 Evo 120GB, DDR3 4GB
Pythonist
Plan for next month: Start up my startup
User avatar
ArkadioG
Level 1
Level 1
 
Posts: 21
Joined: Mon Jan 14, 2013 1:39 pm
Location: Gdansk, Poland

Re: Update Manager not opening

Postby zerozero on Sun Jan 20, 2013 9:34 pm

i think that it's just a warning and is not related with the main issue but worth checking

in my system /etc/fonts/conf.d/50-user.conf is
Code: Select all
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
   <!-- Load per-user customization file -->
   <include ignore_missing="yes">~/.fonts.conf.d</include>
   <include ignore_missing="yes">~/.fonts.conf</include>
</fontconfig>

and line 9 in fonts.conf is
Code: Select all
<match target="font" >


can't see the connection :shock:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6485
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: Google Feedfetcher and 13 guests